Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Public Attributes | Protected Attributes | List of all members
eZ\Publish\API\Repository\Values\Content\Location Class Reference
Inheritance diagram for eZ\Publish\API\Repository\Values\Content\Location:

## Public Member Functions
| getContentInfo ()
| Returns the content info of the content object of this location. More...
| isDraft ()
| Returns true if current location is a draft. More...
| getContent ()
| getSortClauses ()
| Get SortClause objects built from Locations's sort options. More...
Public Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
| __construct (array $properties=[])
| Construct object optionally with a set of properties. More...
| __set ($property, $value)
| Magic set function handling writes to non public properties. More...
| __get ($property)
| Magic get function handling read to non public properties. More...
| __isset ($property)
| Magic isset function handling isset() to non public properties. More...
| __unset ($property)
| Magic unset function handling unset() to non public properties. More...
| attribute ($property)
| Internal function for Legacy template engine compatibility to get property value. More...
| attributes ()
| Internal function for Legacy template engine compatibility to get properties. More...
| hasAttribute ($property)
| Internal function for Legacy template engine compatibility to check existence of property. More...

## Public Attributes
const | SORT_FIELD_PATH = 1
const | SORT_FIELD_PUBLISHED = 2
const | SORT_FIELD_MODIFIED = 3
const | SORT_FIELD_SECTION = 4
const | SORT_FIELD_DEPTH = 5
const | SORT_FIELD_CLASS_IDENTIFIER = 6
const | SORT_FIELD_CLASS_NAME = 7
const | SORT_FIELD_PRIORITY = 8
const | SORT_FIELD_NAME = 9
const | SORT_FIELD_MODIFIED_SUBNODE = 10
const | SORT_FIELD_NODE_ID = 11
const | SORT_FIELD_CONTENTOBJECT_ID = 12
const | SORT_ORDER_DESC = 0
const | SORT_ORDER_ASC = 1
const | STATUS_DRAFT = 0
const | STATUS_PUBLISHED = 1
const | SORT_FIELD_MAP
| Map for Location sort fields to their respective SortClauses. More...
const | SORT_ORDER_MAP
| Map for Location sort order to their respective Query SORT constants. More...
| $status = self::STATUS_PUBLISHED

## Protected Attributes
| $id
| $priority
| $hidden
| $invisible
| $explicitlyHidden
| $remoteId
| $parentLocationId
| $pathString
| $depth
| $sortField
| $sortOrder
| $content

## Additional Inherited Members
Static Public Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
static | __set_state (array $array)
| Returns a new instance of this class with the data specified by $array. More...
Protected Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
| getProperties ($dynamicProperties=[])
| Function where list of properties are returned. More...

## Detailed Description

Definition at line 31 of file API/Repository/Values/Content/Location.php.

## Member Function Documentation

## ◆ getContent()

eZ\Publish\API\Repository\Values\Content\Location::getContent | ( |  | ) |

Returns
  \eZ\Publish\API\Repository\Values\Content\Content

Definition at line 207 of file API/Repository/Values/Content/Location.php.

References eZ\Publish\API\Repository\Values\Content\Location\$content.

Referenced by eZ\Publish\Core\Repository\URLAliasService\refreshSystemUrlAliasesForLocation().

## ◆ getContentInfo()

eZ\Publish\API\Repository\Values\Content\Location::getContentInfo | ( |  | ) |
| abstract

Returns the content info of the content object of this location.

Returns
  \eZ\Publish\API\Repository\Values\Content\ContentInfo

Reimplemented in eZ\Publish\Core\REST\Client\Values\Content\TrashItem, eZ\Publish\Core\REST\Client\Values\Content\Location, eZ\Publish\Core\Repository\Values\Content\TrashItem, and eZ\Publish\Core\Repository\Values\Content\Location.

Referenced by eZ\Publish\Core\SignalSlot\LocationService\hideLocation(), eZ\Publish\Core\MVC\Symfony\Matcher\ContentBased\Identifier\ContentType\matchLocation(), eZ\Publish\Core\MVC\Symfony\Matcher\ContentBased\Identifier\Section\matchLocation(), eZ\Publish\Core\Repository\TrashService\trash(), and eZ\Publish\Core\SignalSlot\LocationService\unhideLocation().

## ◆ getSortClauses()

eZ\Publish\API\Repository\Values\Content\Location::getSortClauses | ( |  | ) |

Get SortClause objects built from Locations's sort options.

Exceptions

  NotImplementedException | If sort field has a deprecated/unsupported value which does not have a Sort Clause.

Returns
  \eZ\Publish\API\Repository\Values\Content\Query\SortClause[]

Definition at line 219 of file API/Repository/Values/Content/Location.php.

References eZ\Publish\API\Repository\Values\Content\Location\$sortField, eZ\Publish\API\Repository\Values\Content\Location\$sortOrder, and eZ\Publish\API\Repository\Values\Content\Location\SORT_FIELD_MAP.

Referenced by eZ\Publish\Core\Repository\UserService\searchSubGroups().

## ◆ isDraft()

eZ\Publish\API\Repository\Values\Content\Location::isDraft | ( |  | ) |

Returns true if current location is a draft.

Returns
  bool

Definition at line 157 of file API/Repository/Values/Content/Location.php.

References eZ\Publish\API\Repository\Values\Content\Location\STATUS_DRAFT.

## Member Data Documentation

## ◆ $content

eZ\Publish\API\Repository\Values\Content\Location::$content
| protected

Definition at line 202 of file API/Repository/Values/Content/Location.php.

Referenced by eZ\Publish\API\Repository\Values\Content\Location\getContent(), and eZ\Publish\Core\REST\Client\Input\Parser\Location\parse().

## ◆ $depth

eZ\Publish\API\Repository\Values\Content\Location::$depth
| protected

Definition at line 181 of file API/Repository/Values/Content/Location.php.

## ◆ $explicitlyHidden

eZ\Publish\API\Repository\Values\Content\Location::$explicitlyHidden
| protected

Definition at line 134 of file API/Repository/Values/Content/Location.php.

## ◆ $hidden

eZ\Publish\API\Repository\Values\Content\Location::$hidden
| protected

Definition at line 119 of file API/Repository/Values/Content/Location.php.

## ◆ $id

eZ\Publish\API\Repository\Values\Content\Location::$id
| protected

Definition at line 92 of file API/Repository/Values/Content/Location.php.

## ◆ $invisible

eZ\Publish\API\Repository\Values\Content\Location::$invisible
| protected

Definition at line 127 of file API/Repository/Values/Content/Location.php.

## ◆ $parentLocationId

eZ\Publish\API\Repository\Values\Content\Location::$parentLocationId
| protected

Definition at line 167 of file API/Repository/Values/Content/Location.php.

## ◆ $pathString

eZ\Publish\API\Repository\Values\Content\Location::$pathString
| protected

Definition at line 174 of file API/Repository/Values/Content/Location.php.

## ◆ $priority

eZ\Publish\API\Repository\Values\Content\Location::$priority
| protected

Definition at line 112 of file API/Repository/Values/Content/Location.php.

## ◆ $remoteId

eZ\Publish\API\Repository\Values\Content\Location::$remoteId
| protected

Definition at line 143 of file API/Repository/Values/Content/Location.php.

## ◆ $sortField

eZ\Publish\API\Repository\Values\Content\Location::$sortField
| protected

Definition at line 190 of file API/Repository/Values/Content/Location.php.

Referenced by eZ\Publish\API\Repository\Values\Content\Location\getSortClauses().

## ◆ $sortOrder

eZ\Publish\API\Repository\Values\Content\Location::$sortOrder
| protected

Definition at line 199 of file API/Repository/Values/Content/Location.php.

Referenced by eZ\Publish\API\Repository\Values\Content\Location\getSortClauses().

## ◆ $status

eZ\Publish\API\Repository\Values\Content\Location::$status = self::STATUS_PUBLISHED

Definition at line 102 of file API/Repository/Values/Content/Location.php.

## ◆ SORT_FIELD_CLASS_IDENTIFIER

const eZ\Publish\API\Repository\Values\Content\Location::SORT_FIELD_CLASS_IDENTIFIER = 6

Definition at line 39 of file API/Repository/Values/Content/Location.php.

Referenced by eZ\Publish\Core\REST\Common\Output\ValueObjectVisitor\serializeSortField().

## ◆ SORT_FIELD_CLASS_NAME

const eZ\Publish\API\Repository\Values\Content\Location::SORT_FIELD_CLASS_NAME = 7

Definition at line 40 of file API/Repository/Values/Content/Location.php.

Referenced by eZ\Publish\Core\REST\Common\Output\ValueObjectVisitor\serializeSortField().

## ◆ SORT_FIELD_CONTENTOBJECT_ID

const eZ\Publish\API\Repository\Values\Content\Location::SORT_FIELD_CONTENTOBJECT_ID = 12

Definition at line 50 of file API/Repository/Values/Content/Location.php.

Referenced by eZ\Publish\Core\REST\Common\Output\ValueObjectVisitor\serializeSortField().

## ◆ SORT_FIELD_DEPTH

const eZ\Publish\API\Repository\Values\Content\Location::SORT_FIELD_DEPTH = 5

Definition at line 38 of file API/Repository/Values/Content/Location.php.

Referenced by eZ\Publish\Core\REST\Common\Output\ValueObjectVisitor\serializeSortField().

## ◆ SORT_FIELD_MAP

const eZ\Publish\API\Repository\Values\Content\Location::SORT_FIELD_MAP

Initial value:
= [
self::SORT_FIELD_PATH => SortClause\Location\Path::class,
self::SORT_FIELD_PUBLISHED => SortClause\DatePublished::class,
self::SORT_FIELD_MODIFIED => SortClause\DateModified::class,
self::SORT_FIELD_SECTION => SortClause\SectionIdentifier::class,
self::SORT_FIELD_DEPTH => SortClause\Location\Depth::class,
self::SORT_FIELD_PRIORITY => SortClause\Location\Priority::class,
self::SORT_FIELD_NAME => SortClause\ContentName::class,
self::SORT_FIELD_NODE_ID => SortClause\Location\Id::class,
self::SORT_FIELD_CONTENTOBJECT_ID => SortClause\ContentId::class,
]

Map for Location sort fields to their respective SortClauses.

Those not here (class name/identifier and modified subnode) are missing/deprecated and will most likely be removed in the future.

Definition at line 64 of file API/Repository/Values/Content/Location.php.

Referenced by eZ\Publish\Core\Repository\ContentService\buildSPILocationCreateStructs(), and eZ\Publish\API\Repository\Values\Content\Location\getSortClauses().

## ◆ SORT_FIELD_MODIFIED

const eZ\Publish\API\Repository\Values\Content\Location::SORT_FIELD_MODIFIED = 3

Definition at line 36 of file API/Repository/Values/Content/Location.php.

Referenced by eZ\Publish\Core\REST\Common\Output\ValueObjectVisitor\serializeSortField().

## ◆ SORT_FIELD_MODIFIED_SUBNODE

const eZ\Publish\API\Repository\Values\Content\Location::SORT_FIELD_MODIFIED_SUBNODE = 10

Deprecated:

Definition at line 47 of file API/Repository/Values/Content/Location.php.

Referenced by eZ\Publish\Core\REST\Common\Output\ValueObjectVisitor\serializeSortField().

## ◆ SORT_FIELD_NAME

const eZ\Publish\API\Repository\Values\Content\Location::SORT_FIELD_NAME = 9

Definition at line 42 of file API/Repository/Values/Content/Location.php.

Referenced by eZ\Publish\Core\Repository\ContentService\buildSPILocationCreateStructs(), eZ\Publish\Core\Repository\LocationService\createLocation(), and eZ\Publish\Core\REST\Common\Output\ValueObjectVisitor\serializeSortField().

## ◆ SORT_FIELD_NODE_ID

const eZ\Publish\API\Repository\Values\Content\Location::SORT_FIELD_NODE_ID = 11

Definition at line 49 of file API/Repository/Values/Content/Location.php.

Referenced by eZ\Publish\Core\REST\Common\Output\ValueObjectVisitor\serializeSortField().

## ◆ SORT_FIELD_PATH

const eZ\Publish\API\Repository\Values\Content\Location::SORT_FIELD_PATH = 1

Definition at line 34 of file API/Repository/Values/Content/Location.php.

Referenced by eZ\Publish\Core\REST\Common\Output\ValueObjectVisitor\serializeSortField().

## ◆ SORT_FIELD_PRIORITY

const eZ\Publish\API\Repository\Values\Content\Location::SORT_FIELD_PRIORITY = 8

Definition at line 41 of file API/Repository/Values/Content/Location.php.

Referenced by eZ\Publish\Core\REST\Common\Output\ValueObjectVisitor\serializeSortField().

## ◆ SORT_FIELD_PUBLISHED

const eZ\Publish\API\Repository\Values\Content\Location::SORT_FIELD_PUBLISHED = 2

Definition at line 35 of file API/Repository/Values/Content/Location.php.

Referenced by eZ\Publish\Core\REST\Common\Output\ValueObjectVisitor\serializeSortField().

## ◆ SORT_FIELD_SECTION

const eZ\Publish\API\Repository\Values\Content\Location::SORT_FIELD_SECTION = 4

Definition at line 37 of file API/Repository/Values/Content/Location.php.

Referenced by eZ\Publish\Core\REST\Common\Output\ValueObjectVisitor\serializeSortField().

## ◆ SORT_ORDER_ASC

const eZ\Publish\API\Repository\Values\Content\Location::SORT_ORDER_ASC = 1

Definition at line 53 of file API/Repository/Values/Content/Location.php.

Referenced by eZ\Publish\Core\Repository\ContentService\buildSPILocationCreateStructs(), eZ\Publish\Core\Repository\LocationService\createLocation(), eZ\Publish\Core\REST\Common\Output\ValueObjectVisitor\serializeSortOrder(), eZ\Publish\Core\REST\Client\Output\ValueObjectVisitor\LocationCreateStruct\visit(), and eZ\Publish\Core\REST\Client\Output\ValueObjectVisitor\LocationUpdateStruct\visit().

## ◆ SORT_ORDER_DESC

const eZ\Publish\API\Repository\Values\Content\Location::SORT_ORDER_DESC = 0

Definition at line 52 of file API/Repository/Values/Content/Location.php.

Referenced by eZ\Publish\Core\REST\Common\Output\ValueObjectVisitor\serializeSortOrder().

## ◆ SORT_ORDER_MAP

const eZ\Publish\API\Repository\Values\Content\Location::SORT_ORDER_MAP

Initial value:
= [
self::SORT_ORDER_DESC => Query::SORT_DESC,
self::SORT_ORDER_ASC => Query::SORT_ASC,
]
eZ\Publish\API\Repository\Values\Content\Query\SORT_DESC
const SORT_DESC
Definition: API/Repository/Values/Content/Query.php:18
eZ\Publish\API\Repository\Values\Content\Query\SORT_ASC
const SORT_ASC
Definition: API/Repository/Values/Content/Query.php:16

Map for Location sort order to their respective Query SORT constants.

Definition at line 82 of file API/Repository/Values/Content/Location.php.

Referenced by eZ\Publish\Core\Repository\ContentService\buildSPILocationCreateStructs().

## ◆ STATUS_DRAFT

const eZ\Publish\API\Repository\Values\Content\Location::STATUS_DRAFT = 0

Definition at line 55 of file API/Repository/Values/Content/Location.php.

Referenced by eZ\Publish\API\Repository\Values\Content\Location\isDraft(), and eZ\Publish\Core\Helper\PreviewLocationProvider\loadMainLocationByContent().

## ◆ STATUS_PUBLISHED

const eZ\Publish\API\Repository\Values\Content\Location::STATUS_PUBLISHED = 1

Definition at line 56 of file API/Repository/Values/Content/Location.php.

The documentation for this class was generated from the following file:

- API/Repository/Values/Content/Location.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.